The Alternative Csound Reference Manual
Previous |  | Next

# ink

ink -- Passes k-rate values into a sub-instrument.

## Description

Retrieves k-rate input values inside a sub-instrument.

## Syntax

k1 [, k2] [...] ink

## Performance

k1, k2, etc. -- k-rate values given for the sub-instrument call.

| Note
| If an instrument containing ink is called as a normal instrument, then the opcode will have no effect.

## See Also

Calling an Instrument Within an Instrument, outk

## Credits

Author: Matt Ingalls

New in version 4.21

Previous | Home | Next
initc7 | Up | ino